Bug 173381 - External mouse do not work on thinkpad T20
External mouse do not work on thinkpad T20
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 14:50 EST by Rudolf Ulc
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:21:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg from 2.6.13-1.1532 with external mouse (10.91 KB, text/plain)
2005-11-17 05:05 EST, Rudolf Ulc
no flags Details
Dmesg from 2.6.14-1.1637 with external mouse (10.95 KB, text/plain)
2005-11-17 05:06 EST, Rudolf Ulc
no flags Details
Dmesg from 2.6.15-1831.log with external mouse (11.90 KB, text/plain)
2006-02-10 12:41 EST, Rudolf Ulc
no flags Details

  None (edit)
Description Rudolf Ulc 2005-11-16 14:50:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
External mouse do not work with kernel kernel-2.6.14-1.1637_FC4 after update on notebook IBM Thinkpad T20. With old version kernel kernel-2.6.13-1.1532_FC4 and older, mouse is OK, and hotplug external mouse work OK too. 

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install kernel kernel-2.6.14-1.1637_FC4.
2. reboot thinkpad.
3. external mouse do not work, TrackPoint is OK.
  

Additional info:
Comment 1 Pete Zaitcev 2005-11-16 18:49:20 EST
Please capture dmesg outputs from both kernels (good and bad) under identical
testing scenario. DO NOT DROP IN THE COMMENTS BOX, attach to the bug instead.
Comment 2 Rudolf Ulc 2005-11-17 05:05:49 EST
Created attachment 121172 [details]
Dmesg from 2.6.13-1.1532 with external mouse
Comment 3 Rudolf Ulc 2005-11-17 05:06:50 EST
Created attachment 121173 [details]
Dmesg from 2.6.14-1.1637 with external mouse
Comment 4 Dave Jones 2006-02-03 02:35:10 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Rudolf Ulc 2006-02-03 16:44:36 EST
The bug still exist with kernel-2.6.15-1.1830_FC4.  
Comment 6 Rudolf Ulc 2006-02-10 12:38:19 EST
The bug still exist with kernel-2.6.15-1.1831_FC4. External mouse are Genius 
Netscroll+ PS/2 and Genius Netscroll 100 PS/2. 
Comment 7 Rudolf Ulc 2006-02-10 12:41:06 EST
Created attachment 124520 [details]
Dmesg from 2.6.15-1831.log with external mouse
Comment 8 Dave Jones 2006-09-16 23:30:22 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 Dave Jones 2006-10-16 20:58:36 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Dave Jones 2006-11-24 18:21:53 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.